Index: c/src/lib/libcpu/sh/sh7045/Makefile.am
===================================================================
--- c/src/lib/libcpu/sh/sh7045/Makefile.am	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
+++ c/src/lib/libcpu/sh/sh7045/Makefile.am	(revision ac8154305172ebcb347f5563dd3ce17d95b4736b)
@@ -4,7 +4,8 @@
 
 AUTOMAKE_OPTIONS = foreign 1.4
+ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
 
-SUBDIRS = include clock sci timer null
+SUBDIRS = include score clock sci timer null
 
-include $(top_srcdir)/../../../../../automake/subdirs.am
-include $(top_srcdir)/../../../../../automake/local.am
+include $(top_srcdir)/../../../../../../automake/subdirs.am
+include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libcpu/sh/sh7045/clock/Makefile.am
===================================================================
--- c/src/lib/libcpu/sh/sh7045/clock/Makefile.am	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
+++ c/src/lib/libcpu/sh/sh7045/clock/Makefile.am	(revision ac8154305172ebcb347f5563dd3ce17d95b4736b)
@@ -13,5 +13,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../../../../../automake/lib.am
+include $(top_srcdir)/../../../../../../automake/lib.am
 
 #
@@ -28,3 +28,3 @@
 EXTRA_DIST = ckinit.c
 
-include $(top_srcdir)/../../../../../automake/local.am
+include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libcpu/sh/sh7045/configure.in
===================================================================
--- c/src/lib/libcpu/sh/sh7045/configure.in	(revision ac8154305172ebcb347f5563dd3ce17d95b4736b)
+++ c/src/lib/libcpu/sh/sh7045/configure.in	(revision ac8154305172ebcb347f5563dd3ce17d95b4736b)
@@ -0,0 +1,37 @@
+dnl Process this file with autoconf to produce a configure script.
+dnl
+dnl $Id$
+
+AC_PREREQ(2.13)
+AC_INIT(include)
+RTEMS_TOP(../../../../../..)
+AC_CONFIG_AUX_DIR(../../../../../..)
+
+RTEMS_CANONICAL_TARGET_CPU
+
+AM_INIT_AUTOMAKE(rtems-c-src-lib-libcpu-sh-sh7045,$RTEMS_VERSION,no)
+AM_MAINTAINER_MODE
+
+RTEMS_ENABLE_BARE
+RTEMS_ENV_RTEMSBSP
+
+RTEMS_CHECK_CPU
+RTEMS_CANONICAL_HOST
+
+RTEMS_PROJECT_ROOT
+
+RTEMS_PROG_CC_FOR_TARGET
+RTEMS_CANONICALIZE_TOOLS
+
+RTEMS_CHECK_CUSTOM_BSP(RTEMS_BSP)
+RTEMS_CHECK_BSP_CACHE(RTEMS_BSP)
+
+# Explicitly list all Makefiles here
+AC_OUTPUT( 
+Makefile
+clock/Makefile
+include/Makefile
+score/Makefile
+null/Makefile
+sci/Makefile
+timer/Makefile)
Index: c/src/lib/libcpu/sh/sh7045/include/Makefile.am
===================================================================
--- c/src/lib/libcpu/sh/sh7045/include/Makefile.am	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
+++ c/src/lib/libcpu/sh/sh7045/include/Makefile.am	(revision ac8154305172ebcb347f5563dd3ce17d95b4736b)
@@ -6,4 +6,5 @@
 
 H_FILES = io_types.h null.h sci.h sh7_pfc.h sh7_sci.h
+SCORE_H_FILES = ispsh7045.h iosh7045.h
 
 # NOTE: Unlike other CPUS, we install into a subdirectory to avoid
@@ -16,6 +17,10 @@
 	$(INSTALL_DATA) $< $@
 
+$(PROJECT_INCLUDE)/rtems/score/%.h: %.h
+	$(INSTALL_DATA) $< $@
+
 TMPINSTALL_FILES += $(PROJECT_INCLUDE)/sh \
-    $(H_FILES:%=$(PROJECT_INCLUDE)/sh/%)
+    $(H_FILES:%.h=$(PROJECT_INCLUDE)/sh/%.h) \
+    $(SCORE_H_FILES:%.h=$(PROJECT_INCLUDE)/rtems/score/%.h)
 
 all-local: $(TMPINSTALL_FILES)
@@ -23,3 +28,3 @@
 EXTRA_DIST = io_types.h null.h sci.h sh7_pfc.h sh7_sci.h
 
-include $(top_srcdir)/../../../../../automake/local.am
+include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libcpu/sh/sh7045/null/Makefile.am
===================================================================
--- c/src/lib/libcpu/sh/sh7045/null/Makefile.am	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
+++ c/src/lib/libcpu/sh/sh7045/null/Makefile.am	(revision ac8154305172ebcb347f5563dd3ce17d95b4736b)
@@ -13,5 +13,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../../../../../automake/lib.am
+include $(top_srcdir)/../../../../../../automake/lib.am
 
 #
@@ -28,3 +28,3 @@
 EXTRA_DIST = close.c cntrl.c init.c open.c read.c write.c
 
-include $(top_srcdir)/../../../../../automake/local.am
+include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libcpu/sh/sh7045/sci/Makefile.am
===================================================================
--- c/src/lib/libcpu/sh/sh7045/sci/Makefile.am	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
+++ c/src/lib/libcpu/sh/sh7045/sci/Makefile.am	(revision ac8154305172ebcb347f5563dd3ce17d95b4736b)
@@ -13,5 +13,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../../../../../automake/lib.am
+include $(top_srcdir)/../../../../../../automake/lib.am
 
 #
@@ -28,3 +28,3 @@
 EXTRA_DIST = sci.c
 
-include $(top_srcdir)/../../../../../automake/local.am
+include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libcpu/sh/sh7045/score/Makefile.am
===================================================================
--- c/src/lib/libcpu/sh/sh7045/score/Makefile.am	(revision ac8154305172ebcb347f5563dd3ce17d95b4736b)
+++ c/src/lib/libcpu/sh/sh7045/score/Makefile.am	(revision ac8154305172ebcb347f5563dd3ce17d95b4736b)
@@ -0,0 +1,30 @@
+##
+## $Id$
+##
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+PGM = $(ARCH)/score.rel
+
+C_FILES = cpu_asm.c ispsh7045.c
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../../../../automake/lib.am
+
+#
+# (OPTIONAL) Add local stuff here using +=
+#
+
+$(PGM): $(OBJS)
+	$(make-rel)
+
+all-local: $(ARCH) $(OBJS) $(PGM)
+
+.PRECIOUS: $(PGM)
+
+EXTRA_DIST = ispsh7045.c
+
+include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libcpu/sh/sh7045/score/cpu_asm.c
===================================================================
--- c/src/lib/libcpu/sh/sh7045/score/cpu_asm.c	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
+++ c/src/lib/libcpu/sh/sh7045/score/cpu_asm.c	(revision ac8154305172ebcb347f5563dd3ce17d95b4736b)
@@ -44,12 +44,6 @@
 #include <rtems/score/sh.h>
 
-#if defined(sh7032)
-#include <rtems/score/ispsh7032.h>
-#include <rtems/score/iosh7032.h>
-#elif defined (sh7045)
 #include <rtems/score/ispsh7045.h>
 #include <rtems/score/iosh7045.h>
-#endif
-
 #include <rtems/score/sh_io.h>
 
Index: c/src/lib/libcpu/sh/sh7045/score/ispsh7045.c
===================================================================
--- c/src/lib/libcpu/sh/sh7045/score/ispsh7045.c	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
+++ c/src/lib/libcpu/sh/sh7045/score/ispsh7045.c	(revision ac8154305172ebcb347f5563dd3ce17d95b4736b)
@@ -43,8 +43,4 @@
 #include <rtems/system.h>
 #include <rtems/score/shtypes.h>
-
-#if !defined (sh7045)
-#error Wrong CPU MODEL
-#endif
 
 /*
Index: c/src/lib/libcpu/sh/sh7045/timer/Makefile.am
===================================================================
--- c/src/lib/libcpu/sh/sh7045/timer/Makefile.am	(revision df49c60c9671e4a28e636964d744c1f59fb6cb68)
+++ c/src/lib/libcpu/sh/sh7045/timer/Makefile.am	(revision ac8154305172ebcb347f5563dd3ce17d95b4736b)
@@ -13,5 +13,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../../../../../automake/lib.am
+include $(top_srcdir)/../../../../../../automake/lib.am
 
 #
@@ -28,3 +28,3 @@
 EXTRA_DIST = timer.c
 
-include $(top_srcdir)/../../../../../automake/local.am
+include $(top_srcdir)/../../../../../../automake/local.am
